failed install of OMSA on RHEL4 Update 5 x86_64 using up2date

Chuck Remes cremes.devlist at mac.com
Fri Oct 5 16:47:57 CDT 2007


I have successfully run up2date to install fixes which leads me to  
believe my network config is sound. I've also done plenty of installs  
via our internet link (Arch Linux being a notable one) without any  
incident. Our firewall is pretty liberal in what it lets in and out;  
there are no proxies in the picture at all.

I tried the command in your email below and it returned no output. So  
I cleared the caches again (rm /var/spool/up2date/*) and tried it a  
second time.

BTW, thanks for all your help. I'm crossing my fingers that we can  
get this working!

> ---------- command --------------------
> # up2date --showall --show-channels | grep dell
> http://linux.dell.com/repo/hardware/mirrors.pl? 
> osname=el4&basearch=x86_64&repo_config= 
> $repo_config&dellsysidpluginver=$dellsysidpluginver
> using mirror: http://linux.dell.com/repo/hardware/latest/ 
> platform_independent/rh40_64
> dell-hw-indep-repository-1-14.el4.noarchdell-hw-indep-repository
> dell-hw-specific-repository-1-13.el4.noarchdell-hw-indep-repository
> firmware-addon-dell-1.3.0-1.el4.x86_64  dell-hw-indep-repository
> firmware-addon-dell-debuginfo-1.3.0-1.el4.x86_64dell-hw-indep- 
> repository
> firmware-tools-1.3.1-1.el4.noarch       dell-hw-indep-repository
> libsmbios-bin-0.13.7-1.el4.x86_64       dell-hw-indep-repository
> libsmbios-debuginfo-0.13.7-1.el4.x86_64 dell-hw-indep-repository
> libsmbios-devel-0.13.7-1.el4.x86_64     dell-hw-indep-repository
> libsmbios-libs-0.13.7-1.el4.x86_64      dell-hw-indep-repository
> libsmbios-unsupported-bin-0.13.7-1.el4.x86_64dell-hw-indep-repository


This looked good to me so I tried going to the next step:


> [root at jm-orc-dev-1 rhn]# up2date -i srvadmin-all
> http://linux.dell.com/repo/hardware/mirrors.pl? 
> osname=el4&basearch=x86_64&repo_config= 
> $repo_config&dellsysidpluginver=$dellsysidpluginver
> using mirror: http://linux.dell.com/repo/hardware/latest/ 
> platform_independent/rh40_64
>
> Fetching Obsoletes list for channel: rhel-x86_64-as-4...
> ########################################
>
> Fetching Obsoletes list for channel: dell-hw-indep-repository...
>
> Fetching obsoletes list for http://linux.dell.com/repo/hardware/ 
> mirrors.pl?osname=el4&basearch=x86_64&repo_config= 
> $repo_config&dellsysidpluginver= 
> $dellsysidpluginver&redirect=1&redir_path=...
>
> Fetching http://linux.dell.com/repo/hardware/mirrors.pl? 
> osname=el4&basearch=x86_64&repo_config= 
> $repo_config&dellsysidpluginver= 
> $dellsysidpluginver&redirect=1&redir_path=/headers/header.info...
> An error has occurred:
> exceptions.IndexError
> See /var/log/up2date for more information




So now there are errors in /var/log/up2date. Running your command  
again now shows no output for Dell packages.

The output from /var/log/up2date is listed below.


> ----------- /var/log/up2date ---------------
> [Fri Oct  5 16:40:17 2007] up2date updating login info
> [Fri Oct  5 16:40:17 2007] up2date logging into up2date server
> [Fri Oct  5 16:40:18 2007] up2date successfully retrieved  
> authentication token from up2date server
> [Fri Oct  5 16:40:18 2007] up2date availablePackageList from network
> [Fri Oct  5 16:40:29 2007] up2date updating login info
> [Fri Oct  5 16:40:29 2007] up2date logging into up2date server
> [Fri Oct  5 16:40:30 2007] up2date successfully retrieved  
> authentication token from up2date server
> [Fri Oct  5 16:40:30 2007] up2date availablePackageList from network
> [Fri Oct  5 16:40:31 2007] up2date   File "/usr/sbin/up2date", line  
> 1272, in ?
>     sys.exit(main() or 0)
>    File "/usr/sbin/up2date", line 791, in main
>     fullUpdate, dryRun=options.dry_run))
>    File "/usr/sbin/up2date", line 1110, in batchRun
>     batch.init()
>    File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 70,  
> in init
>     self.__findPackagesToUpdate()
>    File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 110,  
> in __findPackagesToUpdate
>     plist.run()
>    File "/usr/share/rhn/up2date_client/packageList.py", line 132,  
> in run
>     progressCallback = self.progressCallback )
>    File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line  
> 419, in obsoletesList
>     progressCallback = progressCallback )
>    File "/usr/share/rhn/up2date_client/rpcServer.py", line 236, in  
> doCall
>     ret = apply(method, args, kwargs)
>    File "/usr/share/rhn/up2date_client/repoDirector.py", line 29,  
> in getObsoletes
>     return self.handlers[channel['type']].getObsoletes(channel,  
> msgCallback, progressCallback)
>    File "/usr/share/rhn/up2date_client/rpmSource.py", line 252, in  
> getObsoletes
>     msgCallback, progressCallback)
>    File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py",  
> line 324, in getObsoletes
>     baseFileName = "%s-%s-%s.%s.hdr" % (pkg[0], pkg[1], pkg[2], pkg 
> [4])




More information about the Linux-PowerEdge mailing list